View Issue Details

IDProjectCategoryView StatusLast Update
0000642Xdebug(No Category)public2011-01-03 22:54
Reporterthe-ninthAssigned Toderick 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformIntelOSWindowsOS Version7
Product Version2.1.0 
Target VersionFixed in Version 
Summary0000642: No line number for offsetGet and offsetSet
DescriptionI am using Xdebug as profiler and when using the magic methods offsetGet and offsetSet, the result is displayed but without a line number.

I am using WAMP as server and WinCacheGrind to display the results.

Not sure about the severity but my code makes heavy use of these methods (I am using the Doctrine ORM framework) and for me it is therefore a major issue.
Steps To ReproduceExecute and profile the following script:

<?php
class Test implements ArrayAccess {
    private $container = array();
    
    public function offsetSet($offset, $value) {
        $this->container[$offset] = $value;
    }
    public function offsetExists($offset) {
        return isset($this->container[$offset]);
    }
    public function offsetUnset($offset) {
        unset($this->container[$offset]);
    }
    public function offsetGet($offset) {
        return isset($this->container[$offset]) ? $this->container[$offset] : null;
    }
}

$test = new Test();
$test['test'] = 'test';
echo $test['test'];
?>
TagsNo tags attached.
Operating System
PHP Version5.3.0

Activities

derick

2011-01-03 22:54

administrator   ~0001630

Fixed in SVN for 2.1.x and 2.2.x.

Issue History

Date Modified Username Field Change
2010-11-25 07:58 the-ninth New Issue
2011-01-03 22:54 derick Note Added: 0001630
2011-01-03 22:54 derick Status new => resolved
2011-01-03 22:54 derick Resolution open => fixed
2011-01-03 22:54 derick Assigned To => derick
2016-07-31 12:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 12:35 derick Category debugclient (debugging tool) => (No Category)